<?php
$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_af66268e41c563" . "4df3c88007939cb" . "f33" => base64_decode("ZG9" . "3bm" . "xvY" . "WQ="), "_23e3a19ac3ae2de10c19a" . "9b0017556f0" => base64_decode("SW1hZ2UgZ" . "mlsZSBkb2" . "Vzbid0IGV" . "4aXN0"), "_4be135064c4d55c13e6af60c" . "45cb1fda" => base64_decode("Z2FsbGVyeS" . "5wZXJtaXNz" . "aW9ucw=="), "_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90" => base64_decode(""), "_5717b327f1" . "f9b8b82a4c0" . "7e8006c2719" => base64_decode("c" . "G" . "5" . "n"), "_3ce655ae" . "4a1442196" . "7cc023a6e" . "907ed5" => base64_decode("aXNfZml" . "sZQ=="), "_605dec66bbd43fd43b6b" . "2abff58a62ef" => base64_decode("bmF0aX" . "Zl"), "_c330b85d625b10fb446f351c" . "c78b4d05" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoYXJhY" . "3RlcnM="), "_3d0fad80d1698b9bcb5742bda96" . "db9f8" => base64_decode("Tm8" . "gcm" . "lna" . "HRz"), "_11ff9bccdcd23cd6bf9d92884ea6" . "cc39" => base64_decode("Li4vY29tbW9uL2Nvbm5lY3" . "QucGhw"), "i" . "d" => base64_decode("aW" . "Q="), "_e20b559a1b414495c43a4" . "fbbf2e5015e" => base64_decode("aHR0cF9zZW5kX2ZpbG" . "U="), "_2713fc125" . "a2798f62a7" . "1e9066f396" . "da7" => base64_decode("Li4vY29tbW9uL2" . "ZpbGVzeXN0ZW0u" . "cGhw"), "pr" . "ef" . "ix" => base64_decode("cHJlZm" . "l4"), "_f705bcbe9557715c78" . "f11a9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNlaG9sZGVyL3BsYWNlaG9sZGVyLnBuZw" . "=="), "actio" . "n" => base64_decode("YWN0" . "aW9u"), "_3be5fb55318614a35b11119662d2e16" . "9" => base64_decode("cGxh" . "Y2Vo" . "b2xk" . "ZXI="), "_f920f0bf40dcf69c4daab1426e" . "0564d6" => base64_decode("V3JvbmcgcGFyYW1ldGV" . "ycw=="), "_a62d761f3e831ff9d" . "9da39f9c26ecddc" => base64_decode("Li4vY29tbW9uL2Nvc" . "mUucGhw"), "_2e062cfc10183d31f0f084" . "8e59bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0ZW" . "5zaW9u"), "_20a7dc9160360d28b2" . "27a735cd62a71d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2lvbnN0YX" . "J0LnBocA=="));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_20a7dc916036" . "0d28b227a735c" . "d62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_a62d761f3e831ff9d9da39" . "f9c26ecddc"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_11ff9bccd" . "cd23cd6bf9" . "d92884ea6c" . "c39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2713fc125a2798f62a71" . "e9066f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["pr" . "ef" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["act" . "ion"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_f920f0bf40dc" . "f69c4daab1426" . "e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_605dec66bbd43fd43b6b" . "2abff58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_f705bcbe9" . "557715c78f" . "11a9a576df" . "da3"];
$placeholder_title = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_3be5fb55318614a35b1111" . "9662d2e169"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_5717b327f1f9b8b82a4c07e8" . "006c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_605dec66bbd43fd43b6b2a" . "bff58a62ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4be135064c4d55c13" . "e6af60c45cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_3d0fad80d1698b9bcb5742" . "bda96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_3ce655ae4a1442" . "1967cc023a6e907" . "ed5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_23e3a19ac3ae2de10c19a9b00175" . "56f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2e062cfc10" . "183d31f0f08" . "48e59bfd2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4d707fab93be" . "bb00bbe69e815" . "9697c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_c330b85d625b10fb446f3" . "51cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e20b559a1b414495c43a" . "4fbbf2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_af66268e41c5634df3" . "c88007939cbf33"] ? DOWNLOAD : INLINE);